%define major		2.1.0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Tcl/Tk readline enhanced shells
Name:		tclreadline
Version:	2.1.0
Release:	%mkrel 11
URL:		http://tclreadline.sourceforge.net
Source0:	ftp://tclreadline.sourceforge.net/pub/tclreadline/%{name}-%{version}.tar.bz2
Patch0:		%{name}-interp-paths.patch
Patch1:		%{name}-amd64.patch
License:	BSD
Group:		Development/Other
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
BuildRequires:	X11-devel
BuildRequires:	tk
BuildRequires:	tk-devel
BuildRequires:	tcl
BuildRequires:	tcl-devel
BuildRequires:	autoconf

%description
This package contains tclreadline library, which builds a connection
between tcl and the gnu readline.

%package -n %{libname}
Group: System/Libraries
Summary: GNU readline for TCL
Provides: lib%{name} = %{version}

%description -n %{libname}
This package contains tclreadline library, which builds a connection
between tcl and the gnu readline.

%package -n %{develname}
Group:		Development/C
Summary:	Development headers and libraries
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}
Provides:	%{name}-devel = %{version}
Obsoletes:	%{mklibname tclreadline 2.1.0 -d}

%description -n %{develname}
Development headers and libraries for tclreadline
 
%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f config/missing
%{__libtoolize} --force
autoreconf -i -I aux
%configure --enable-tclshrl --enable-wishrl
make

%install
rm -rf %{buildroot}
%makeinstall_std

%multiarch_includes %{buildroot}%{_includedir}/tclreadline.h
chmod 755 %{buildroot}%{_libdir}/tclreadline%{major}/{tclreadlineSetup.tcl,tclreadlineInit.tcl,pkgIndex.tcl}
chmod 644 %{buildroot}%{_libdir}/*.la

ln -sf libtclreadline-%{major}.so %{buildroot}%{_libdir}/libtclreadline.so.%{major}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/tclshrl
%{_bindir}/wishrl

%files -n %{libname}
%{_libdir}/tclreadline%{major}
%{_libdir}/libtclreadline-%{major}.so
%{_libdir}/libtclreadline.so.*

%files -n %{develname}
%multiarch %{multiarch_includedir}/tclreadline.h
%{_includedir}/tclreadline.h
%{_libdir}/libtclreadline.a 
%{_libdir}/libtclreadline.la
%{_libdir}/libtclreadline.so
%{_mandir}/mann/tclreadline.n.*



%changelog
* Sat Jan 12 2008 Adam Williamson <awilliamson@mandriva.com> 2.1.0-11mdv2008.1
+ Revision: 149667
- remove now unneeded BR on automake1.4
- rebuild for new tcl/tk
- use %%__libtoolize --force to avoid build breakage related to hilariously old libtool-related files
- use autoreconf
- spec clean, remove lots of old garbage

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill XFree86-libs BR
    - kill re-definition of %%buildroot on Pixel's request
    - fix autoconf-2.5x path
    - buildrequires X11-devel instead of XFree86-devel


* Mon Jan 02 2006 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-10mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.1.0-9mdk
- Fix BuildRequires

* Sat Jul 23 2005 Couriousous <couriousous@mandriva.org> 2.1.0-8mdk
- Fix spec
- Amd64 patch from pld
- From Torbjorn Turpeinen <tobbe@nyvalls.se> 
	- Built for cooker

